port: 7890
socks-port: 7891
allow-lan: false
mode: rule
log-level: info
geodata-mode: true
geo-auto-update: true
geodata-loader: standard
geo-update-interval: 24
geox-url:
  geoip: https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@release/geoip.dat
  geosite: >-
    https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@release/geosite.dat
  mmdb: >-
    https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@release/country.mmdb
  asn: >-
    https://github.com/xishang0128/geoip/releases/download/latest/GeoLite2-ASN.mmdb
rule-providers:
  category-ai-chat-!cn:
    type: http
    format: mrs
    behavior: domain
    url: >-
      https://gh.sageer.me/https://github.com/MetaCubeX/meta-rules-dat/raw/refs/heads/meta/geo/geosite/category-ai-chat-!cn.mrs
    path: ./ruleset/category-ai-chat-!cn.mrs
    interval: 86400
  geolocation-cn:
    type: http
    format: mrs
    behavior: domain
    url: >-
      https://gh.sageer.me/https://github.com/MetaCubeX/meta-rules-dat/raw/refs/heads/meta/geo/geosite/geolocation-cn.mrs
    path: ./ruleset/geolocation-cn.mrs
    interval: 86400
  geolocation-!cn:
    type: http
    format: mrs
    behavior: domain
    url: >-
      https://gh.sageer.me/https://github.com/MetaCubeX/meta-rules-dat/raw/refs/heads/meta/geo/geosite/geolocation-!cn.mrs
    path: ./ruleset/geolocation-!cn.mrs
    interval: 86400
  private:
    type: http
    format: mrs
    behavior: ipcidr
    url: >-
      https://gh.sageer.me/https://github.com/MetaCubeX/meta-rules-dat/raw/refs/heads/meta/geo/geoip/private.mrs
    path: ./ruleset/private.mrs
    interval: 86400
  cn:
    type: http
    format: mrs
    behavior: ipcidr
    url: >-
      https://gh.sageer.me/https://github.com/MetaCubeX/meta-rules-dat/raw/refs/heads/meta/geo/geoip/cn.mrs
    path: ./ruleset/cn.mrs
    interval: 86400
  telegram:
    type: http
    format: mrs
    behavior: ipcidr
    url: >-
      https://gh.sageer.me/https://github.com/MetaCubeX/meta-rules-dat/raw/refs/heads/meta/geo/geoip/telegram.mrs
    path: ./ruleset/telegram.mrs
    interval: 86400
dns:
  enable: true
  ipv6: true
  respect-rules: true
  enhanced-mode: fake-ip
  nameserver:
    - https://120.53.53.53/dns-query
    - https://223.5.5.5/dns-query
  proxy-server-nameserver:
    - https://120.53.53.53/dns-query
    - https://223.5.5.5/dns-query
  nameserver-policy:
    geosite:cn,private:
      - https://120.53.53.53/dns-query
      - https://223.5.5.5/dns-query
    geosite:geolocation-!cn:
      - https://dns.cloudflare.com/dns-query
      - https://dns.google/dns-query
proxies:
  - name: 🇺🇸美国阿什本
    type: trojan
    server: skk.moe
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=129.158.198.241:2053
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇸🇬新加坡阿里云1
    type: trojan
    server: fbi.gov
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=8.219.212.96:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇸🇬新加坡阿里云2
    type: trojan
    server: fbi.gov
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=8.219.141.205:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇸🇬新加坡阿里云3
    type: trojan
    server: fbi.gov
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=8.222.144.225:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇺🇸美国凤凰城
    type: trojan
    server: fbi.gov
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=129.146.168.102:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇮🇹意大利伦巴第大区
    type: trojan
    server: www.ipchicken.com
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=158.180.231.216:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇫🇷法国巴黎
    type: trojan
    server: www.ipchicken.com
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=141.145.217.226:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇺🇸美国圣何塞
    type: trojan
    server: skk.moe
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=192.9.236.144:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇳🇱荷兰阿姆斯特丹
    type: trojan
    server: skk.moe
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=158.101.209.76:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇰🇷韩国首尔1
    type: trojan
    server: www.csgo.com
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=129.154.207.203:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇰🇷韩国首尔2
    type: trojan
    server: www.pcmag.com
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=152.70.90.168:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇰🇷韩国首尔
    type: trojan
    server: fbi.gov
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=131.186.17.132:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇯🇵日本东京
    type: trojan
    server: icook.tw
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=150.230.196.248:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇰🇷韩国春川
    type: trojan
    server: www.digitalocean.com
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=158.180.82.186:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇰🇷韩国春川2
    type: trojan
    server: www.zsu.gov.ua
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=158.180.82.186:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
  - name: 🇸🇬新加坡阿里云主推
    type: trojan
    server: fbi.gov
    port: 8443
    password: mohuangdiyu
    tls: false
    sni: ''
    network: ws
    ws-opts:
      path: /pyip=8.219.142.68:443
      headers:
        host: wgaw-eu8.pages.dev
    tfo: false
proxy-groups:
  - type: select
    name: 🚀 节点选择
    proxies:
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇺🇸美国阿什本
      - 🇸🇬新加坡阿里云1
      - 🇸🇬新加坡阿里云2
      - 🇸🇬新加坡阿里云3
      - 🇺🇸美国凤凰城
      - 🇮🇹意大利伦巴第大区
      - 🇫🇷法国巴黎
      - 🇺🇸美国圣何塞
      - 🇳🇱荷兰阿姆斯特丹
      - 🇰🇷韩国首尔1
      - 🇰🇷韩国首尔2
      - 🇰🇷韩国首尔
      - 🇯🇵日本东京
      - 🇰🇷韩国春川
      - 🇰🇷韩国春川2
      - 🇸🇬新加坡阿里云主推
  - name: ⚡ 自动选择
    type: url-test
    proxies:
      - 🇺🇸美国阿什本
      - 🇸🇬新加坡阿里云1
      - 🇸🇬新加坡阿里云2
      - 🇸🇬新加坡阿里云3
      - 🇺🇸美国凤凰城
      - 🇮🇹意大利伦巴第大区
      - 🇫🇷法国巴黎
      - 🇺🇸美国圣何塞
      - 🇳🇱荷兰阿姆斯特丹
      - 🇰🇷韩国首尔1
      - 🇰🇷韩国首尔2
      - 🇰🇷韩国首尔
      - 🇯🇵日本东京
      - 🇰🇷韩国春川
      - 🇰🇷韩国春川2
      - 🇸🇬新加坡阿里云主推
    url: https://www.gstatic.com/generate_204
    interval: 300
    lazy: false
  - type: select
    name: 💬 AI 服务
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇺🇸美国阿什本
      - 🇸🇬新加坡阿里云1
      - 🇸🇬新加坡阿里云2
      - 🇸🇬新加坡阿里云3
      - 🇺🇸美国凤凰城
      - 🇮🇹意大利伦巴第大区
      - 🇫🇷法国巴黎
      - 🇺🇸美国圣何塞
      - 🇳🇱荷兰阿姆斯特丹
      - 🇰🇷韩国首尔1
      - 🇰🇷韩国首尔2
      - 🇰🇷韩国首尔
      - 🇯🇵日本东京
      - 🇰🇷韩国春川
      - 🇰🇷韩国春川2
      - 🇸🇬新加坡阿里云主推
  - type: select
    name: 🏠 私有网络
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇺🇸美国阿什本
      - 🇸🇬新加坡阿里云1
      - 🇸🇬新加坡阿里云2
      - 🇸🇬新加坡阿里云3
      - 🇺🇸美国凤凰城
      - 🇮🇹意大利伦巴第大区
      - 🇫🇷法国巴黎
      - 🇺🇸美国圣何塞
      - 🇳🇱荷兰阿姆斯特丹
      - 🇰🇷韩国首尔1
      - 🇰🇷韩国首尔2
      - 🇰🇷韩国首尔
      - 🇯🇵日本东京
      - 🇰🇷韩国春川
      - 🇰🇷韩国春川2
      - 🇸🇬新加坡阿里云主推
  - type: select
    name: 🔒 国内服务
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇺🇸美国阿什本
      - 🇸🇬新加坡阿里云1
      - 🇸🇬新加坡阿里云2
      - 🇸🇬新加坡阿里云3
      - 🇺🇸美国凤凰城
      - 🇮🇹意大利伦巴第大区
      - 🇫🇷法国巴黎
      - 🇺🇸美国圣何塞
      - 🇳🇱荷兰阿姆斯特丹
      - 🇰🇷韩国首尔1
      - 🇰🇷韩国首尔2
      - 🇰🇷韩国首尔
      - 🇯🇵日本东京
      - 🇰🇷韩国春川
      - 🇰🇷韩国春川2
      - 🇸🇬新加坡阿里云主推
  - type: select
    name: 📲 电报消息
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇺🇸美国阿什本
      - 🇸🇬新加坡阿里云1
      - 🇸🇬新加坡阿里云2
      - 🇸🇬新加坡阿里云3
      - 🇺🇸美国凤凰城
      - 🇮🇹意大利伦巴第大区
      - 🇫🇷法国巴黎
      - 🇺🇸美国圣何塞
      - 🇳🇱荷兰阿姆斯特丹
      - 🇰🇷韩国首尔1
      - 🇰🇷韩国首尔2
      - 🇰🇷韩国首尔
      - 🇯🇵日本东京
      - 🇰🇷韩国春川
      - 🇰🇷韩国春川2
      - 🇸🇬新加坡阿里云主推
  - type: select
    name: 🌐 非中国
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇺🇸美国阿什本
      - 🇸🇬新加坡阿里云1
      - 🇸🇬新加坡阿里云2
      - 🇸🇬新加坡阿里云3
      - 🇺🇸美国凤凰城
      - 🇮🇹意大利伦巴第大区
      - 🇫🇷法国巴黎
      - 🇺🇸美国圣何塞
      - 🇳🇱荷兰阿姆斯特丹
      - 🇰🇷韩国首尔1
      - 🇰🇷韩国首尔2
      - 🇰🇷韩国首尔
      - 🇯🇵日本东京
      - 🇰🇷韩国春川
      - 🇰🇷韩国春川2
      - 🇸🇬新加坡阿里云主推
  - type: select
    name: 🐟 漏网之鱼
    proxies:
      - 🚀 节点选择
      - DIRECT
      - REJECT
      - ⚡ 自动选择
      - 🇺🇸美国阿什本
      - 🇸🇬新加坡阿里云1
      - 🇸🇬新加坡阿里云2
      - 🇸🇬新加坡阿里云3
      - 🇺🇸美国凤凰城
      - 🇮🇹意大利伦巴第大区
      - 🇫🇷法国巴黎
      - 🇺🇸美国圣何塞
      - 🇳🇱荷兰阿姆斯特丹
      - 🇰🇷韩国首尔1
      - 🇰🇷韩国首尔2
      - 🇰🇷韩国首尔
      - 🇯🇵日本东京
      - 🇰🇷韩国春川
      - 🇰🇷韩国春川2
      - 🇸🇬新加坡阿里云主推
rules:
  - RULE-SET,category-ai-chat-!cn,💬 AI 服务
  - RULE-SET,private,🏠 私有网络,no-resolve
  - RULE-SET,geolocation-cn,🔒 国内服务
  - RULE-SET,cn,🔒 国内服务,no-resolve
  - RULE-SET,telegram,📲 电报消息,no-resolve
  - RULE-SET,geolocation-!cn,🌐 非中国
  - MATCH,🐟 漏网之鱼
